=== modified file 'bzrlib/errors.py'
--- bzrlib/errors.py	2006-12-21 20:07:34 +0000
+++ bzrlib/errors.py	2007-01-04 20:59:46 +0000
@@ -541,6 +541,8 @@
 
     _fmt = "Lock error: %(message)s"
 
+    internal_error = True
+
     # All exceptions from the lock/unlock functions should be from
     # this exception class.  They will be translated as necessary. The
     # original exception is available as e.original_error
@@ -583,8 +585,6 @@
 
     _fmt = "%(obj)r is not locked"
 
-    internal_error = True
-
     # this can indicate that any particular object is not locked; see also
     # LockNotHeld which means that a particular *lock* object is not held by
     # the caller -- perhaps they should be unified.
@@ -611,7 +611,10 @@
 class LockContention(LockError):
 
     _fmt = "Could not acquire lock %(lock)s"
-    # TODO: show full url for lock, combining the transport and relative bits?
+    # TODO: show full url for lock, combining the transport and relative
+    # bits?
+
+    internal_error = False
     
     def __init__(self, lock):
         self.lock = lock
@@ -621,6 +624,8 @@
 
     _fmt = "Lock was broken while still open: %(lock)s - check storage consistency!"
 
+    internal_error = False
+
     def __init__(self, lock):
         self.lock = lock
 
@@ -629,6 +634,8 @@
 
     _fmt = "Lock was released and re-acquired before being broken: %(lock)s: held by %(holder)r, wanted to break %(target)r"
 
+    internal_error = False
+
     def __init__(self, lock, holder, target):
         self.lock = lock
         self.holder = holder
@@ -639,6 +646,8 @@
 
     _fmt = "Lock not held: %(lock)s"
 
+    internal_error = False
+
     def __init__(self, lock):
         self.lock = lock
 

